# $Revision: 1.28 $, $Date: 2009/03/14 00:05:35 $
# TODO:
#  - ditto for documentation
Summary:	Object Request Broker (ORB) from AT&T (CORBA 2.6)
Summary(pl.UTF-8):	Object Request Broker (ORB) z AT&T (CORBA 2.6)
Name:		omniORB
Version:	4.1.0
Release:	4
License:	GPL/LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/omniorb/%{name}-%{version}.tar.gz
# Source0-md5:	b52dcb1886ffa2a61e6ed56e462edb76
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}.sysconfig
URL:		http://omniorb.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
omniORB is an Object Request Broker (ORB) which implements
specification 2.6 of the Common Object Request Broker Architecture
(CORBA).

%description -l pl.UTF-8
omniORB implementuje wersję 2.6 specyfikacji CORBA.

%package libs
Summary:	Shared libraries for %{name}
Summary(pl.UTF-8):	Dzielone biblioteki dla aplikacji korzystających z %{name}
Group:		Libraries

%description libs
Shared libraries for %{name}.

%description libs -l pl.UTF-8
Dzielone biblioteki dla aplikacji korzystających z %{name}.

%package devel
Summary:	Development files for %{name}
Summary(pl.UTF-8):	Pliki potrzebne do tworzenia aplikacji z użyciem %{name}
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Development files for %{name}.

%description devel -l pl.UTF-8
Pliki potrzebne do tworzenia aplikacji z użyciem %{name}.

%package static
Summary:	Static files for %{name}
Summary(pl.UTF-8):	Statyczne biblioteki dla %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static files for %{name}.

%description static -l pl.UTF-8
Statyczne biblioteki dla %{name}.

%package python
Summary:	Python bindings for %{name}
Summary(pl.UTF-8):	Wiązania Pythona dla %{name}
Group:		Development/Libraries
%pyrequires_eq	python-libs
Requires:	%{name}-libs = %{version}-%{release}

%description python
Python bindings for %{name}. Besides, package includes idl compiler -
omniidl.

%description python -l pl.UTF-8
Wiązania Pythona dla %{name}. Ponadto pakiet zawiera kompilator idl -
omniidl.

%package utils
Summary:	Additional utilities for %{name}
Summary(pl.UTF-8):	Dodatkowe narzędzia dla %{name}
Group:		Development/Tools
Requires:	%{name}-libs = %{version}-%{release}

%description utils
Additional utilities for %{name}.

%description utils -l pl.UTF-8
Dodatkowe narzędzia dla %{name}.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-omniNames-logdir=/var/log/%{name} \
	--with-openssl=/usr/%{_lib}

%{__make} \
	SUBDIR_MAKEFLAGS='CDEBUGFLAGS="%{rpmcflags}" CXXDEBUGFLAGS="%{rpmcflags}"'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,/etc/{logrotate.d,rc.d/init.d,sysconfig},/var/log/{,archive/}%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install man/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install sample.cfg $RPM_BUILD_ROOT%{_sysconfdir}/omniORB.cfg
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

touch $RPM_BUILD_ROOT/var/log/%{name}/omninames-err.log

# rpmdeps doesn't generate ELF deps for non-executable .so
chmod 755 $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

rm -f $RPM_BUILD_ROOT%{_bindir}/omniidlrun.py
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*py -exec rm -f \{\} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc ReleaseNotes.txt CREDITS README.{FIRST.txt,unix}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.cfg
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_bindir}/omniMapper
%attr(755,root,root) %{_bindir}/omniNames
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(750,root,root) %dir /var/log/%{name}
%attr(750,root,root) %dir /var/log/archive/%{name}
%attr(640,root,root) %ghost /var/log/%{name}/*
%{_mandir}/man1/omniNames*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%ghost %{_libdir}/lib*.so.1
%ghost %{_libdir}/lib*.so.3
%{_datadir}/idl/%{name}

%files devel
%defattr(644,root,root,755)
%doc doc/*.html doc/omniORB
%attr(755,root,root) %{_bindir}/omkdepend
%attr(755,root,root) %{_bindir}/omnicpp
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/omniidl
%attr(755,root,root) %{py_sitedir}/*.so*
%{py_sitescriptdir}/omniidl
%{py_sitescriptdir}/omniidl_be
%{_mandir}/man1/omniidl*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/catior
%attr(755,root,root) %{_bindir}/convertior
%attr(755,root,root) %{_bindir}/genior
%attr(755,root,root) %{_bindir}/nameclt
%{_mandir}/man1/catior*
%{_mandir}/man1/genior*
%{_mandir}/man1/nameclt*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: omniORB.spec,v $
Revision 1.28  2009/03/14 00:05:35  hawk
- release 4

Revision 1.27  2008/10/17 16:10:58  megabajt
- release 3

Revision 1.26  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.25  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.24  2007/09/04 21:13:23  baggins
- fixed ghost

Revision 1.23  2007/09/04 20:37:09  baggins
- ghost for lib*.so.[1-9]

Revision 1.22  2007/09/04 20:08:34  baggins
- rel 1

Revision 1.21  2007/04/25 20:44:18  lkrotowski
- up to 4.1.0
- sysconfig/omniORB added

Revision 1.20  2007/04/02 17:29:46  baggins
- more s|/var/log/archiv|/var/log/archive|g

Revision 1.19  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.18  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:15  baggins
- converted to UTF-8

Revision 1.16  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.15  2006/03/10 12:15:19  heretyk
- up to 4.0.7

Revision 1.14  2005/06/05 13:11:32  charles
- more -python desc

Revision 1.13  2005/06/05 12:57:18  qboosh
- better group for -utils, cleanup

Revision 1.12  2005/06/05 12:42:08  charles
- updated to 4.0.6
- new subpackages: python, utils
- added logrotate support (it requires checks)
- BR: pkgconfig, python, python-devel
- fix %files

Revision 1.11  2005/03/20 18:20:22  darekr
- unified

Revision 1.10  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.9  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.8  2003/08/22 15:01:54  ankry
- attributr fix

Revision 1.7  2003/08/20 21:43:44  grzegol
- updated to 4.0.2

Revision 1.6  2003/08/18 08:08:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/07/08 12:35:29  qboosh
- updated to 4.0.1 (fixed build), enabled ssl
- cleanups, fixed libraries deps autodetection

Revision 1.4  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.3  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.2  2003/05/25 05:51:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/03 22:08:11  malekith
- from scratch; needed by 3dwm
